Grid Filters admin API Resource

Grid Filters admin API

GET /admin/filters/grid/json

Get all filters

Try it out!

Response Body
media type data type description
application/json array of HdcUserFilterTO (JSON) JSON Response with filter data

Example of response:

POST /admin/filters/grid/json

add new filter for user

Try it out!

Request Body
media type data type description
application/json HdcUserFilterTO (JSON) - grid filter data
Response Body
media type data type description
application/json HdcUserFilterTO (JSON) JSON Response with description of filter with unique ID

POST /admin/filters/grid/assign/{filterId}

Assign user to filter

Try it out!

Request Parameters
name type description default constraints
filterId path Id of filter   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

DELETE /admin/filters/grid/json/{filterId}

delete user filter

Try it out!

Request Parameters
name type description default constraints
filterId path - id of filter   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

POST /admin/filters/grid/unassign/{filterId}

Unassign user to filter

Try it out!

Request Parameters
name type description default constraints
filterId path Id of filter   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded